# -*- coding: utf-8 -*-

BOT_NAME = 'databot'

SPIDER_MODULES = ['databot.spiders']
NEWSPIDER_MODULE = 'databot.spiders'

DEPTH_LIMIT = 7
# CRAWLSPIDER_FOLLOW_LINKS = 1


# Crawl responsibly by identifying yourself (and your website) on the user-agent
# USER_AGENT = 'databot (+http://www.yourdomain.com)'

# Obey robots.txt rules
ROBOTSTXT_OBEY = True

# Configure maximum concurrent requests performed by Scrapy (default: 16)
# CONCURRENT_REQUESTS = 1

# Configure a delay for requests for the same website (default: 0)
# See http://scrapy.readthedocs.org/en/latest/topics/settings.html#download-delay
# See also autothrottle settings and docs
DOWNLOAD_DELAY = 12
# The download delay setting will honor only one of:
#CONCURRENT_REQUESTS_PER_DOMAIN = 16
#CONCURRENT_REQUESTS_PER_IP = 16

# Disable cookies (enabled by default)
#COOKIES_ENABLED = False

# Disable Telnet Console (enabled by default)
#TELNETCONSOLE_ENABLED = False

# Override the default request headers:
#DEFAULT_REQUEST_HEADERS = {
#   'Accept': 'text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8',
#   'Accept-Language': 'en',
#}

# Enable or disable spider middlewares
# See http://scrapy.readthedocs.org/en/latest/topics/spider-middleware.html
SPIDER_MIDDLEWARES = {
#    'quotesbot.middlewares.MyCustomSpiderMiddleware': 543,
#    'scrapy_crawl_once.CrawlOnceMiddleware': 100,
#    'scrapy_deltafetch.DeltaFetch': 100,
}

# Enable or disable downloader middlewares
# See http://scrapy.readthedocs.org/en/latest/topics/downloader-middleware.html
# DOWNLOADER_MIDDLEWARES = {
#    'quotesbot.middlewares.MyCustomDownloaderMiddleware': 543,
#    'scrapy_crawl_once.CrawlOnceMiddleware': 50,
# }

# Enable or disable extensions
# See http://scrapy.readthedocs.org/en/latest/topics/extensions.html
EXTENSIONS = {
   'scrapy_dotpersistence.DotScrapyPersistence': 0
}

# Configure item pipelines
# See http://scrapy.readthedocs.org/en/latest/topics/item-pipeline.html
ITEM_PIPELINES = {
   'databot.pipelines.cardiff_vale_pipeline.CardiffValePipeline': 300,
   'databot.pipelines.cwm_taf_morgannwg_pipeline.CwmTafMorgannwgPipeline': 301,
   'databot.pipelines.hywel_dda_pipeline.HywelDdaPipeline': 302,
   # 'databot.pipelines.betsi_cadwaladr_pipeline.BetsiCadwaladrPipeline': 302,
   'databot.pipelines.powys_pipeline.PowysPipeline': 303,
   'databot.pipelines.swansea_bay_pipeline.SwanseaBayPipeline': 304,
   'databot.pipelines.item_type_pipeline.ItemTypePipeline': 996,
   'databot.pipelines.committee_type_pipeline.CommitteeTypePipeline': 997,
   'databot.pipelines.date_pipeline.DatePipeline': 998,
   'databot.pipelines.write_pipeline.JsonWriterPipeline': 999,
}

# manually configured to quietly drop items without throwing exceptions
LOG_FORMATTER = 'databot.log_formatter.PoliteLogFormatter'

# dotpersistence saved in S3
# ADDONS_AWS_ACCESS_KEY_ID = "ABC"
# ADDONS_AWS_SECRET_ACCESS_KEY = "DEF"
# ADDONS_AWS_USERNAME = "username"
# ADDONS_S3_BUCKET = "test-bucket-name"

# DOTSCRAPY_ENABLED = True

# Enable and configure the AutoThrottle extension (disabled by default)
# See http://doc.scrapy.org/en/latest/topics/autothrottle.html
#AUTOTHROTTLE_ENABLED = True
# The initial download delay
#AUTOTHROTTLE_START_DELAY = 5
# The maximum download delay to be set in case of high latencies
#AUTOTHROTTLE_MAX_DELAY = 60
# The average number of requests Scrapy should be sending in parallel to
# each remote server
#AUTOTHROTTLE_TARGET_CONCURRENCY = 1.0
# Enable showing throttling stats for every response received:
#AUTOTHROTTLE_DEBUG = False

# Enable and configure HTTP caching (disabled by default)
# See http://scrapy.readthedocs.org/en/latest/topics/downloader-middleware.html#httpcache-middleware-settings
#HTTPCACHE_ENABLED = True
#HTTPCACHE_EXPIRATION_SECS = 0
#HTTPCACHE_DIR = 'httpcache'
#HTTPCACHE_IGNORE_HTTP_CODES = []
#HTTPCACHE_STORAGE = 'scrapy.extensions.httpcache.FilesystemCacheStorage'
