from scrapy.linkextractors import LinkExtractor
from scrapy.spiders import CrawlSpider, Rule

from databot.item import Item


class cavuhbSpider(CrawlSpider):
    name = 'Cavuhb'
    allowed_domains = ['cavuhb.nhs.wales']
    start_urls = ['https://cavuhb.nhs.wales/about-us/our-board/committees-and-advisory-groups/quality-safety-and-experience-committee/']

    rules = (
        Rule(LinkExtractor(deny=('/opendoc'),
                           restrict_xpaths=(['//div[@class="mura-body"]//ul'])), callback='parse_item', follow=False),
    )

    def parse_item(self, response):
        item = Item()
        item['name'] = self.name
        item['url'] = response.url
        item['response'] = response.body
        item['content_type'] = response.headers['Content-Type'].decode()
        item['last_modified'] = response.headers['Last-Modified'].decode()
        item['helper_item_type'] = response.url
        item['helper_committee_type'] = 'quality-safety-and-experience-committee'
        yield item
